import { AdminRoleService } from "./admin.role.service";
import { CreateRoleDto, UpdateRoleDto } from "./admin.role.dto";
export declare class AdminRoleController {
    private readonly adminRoleService;
    constructor(adminRoleService: AdminRoleService);
    create(CreateRoleDto: CreateRoleDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/role/role.entity").Role[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/role/role.entity").Role;
    }>;
    update(id: string, UpdateRoleDto: UpdateRoleDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
